import {
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
  axisBottom
} from 'd3';
import { barChart } from './barChart';
import { vertBarChart } from './vertBarChart';
import { dropdownMenu } from './dropdownMenu';



const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');
const title = d => d.title;
const count = d => d.count;
const margin = { top: 100, right: 40, bottom: 20, left: 100 };
const titles = []
const getTitles = (d) =>{
  titles.push(d.title)
}
console.log(getTitles)
let data;
let shelf;

const onShelfClicked = option => {
  shelf = option;
  render();
};

const render = () => {
  
    select('#x-menu')
    .call(dropdownMenu, {
      options:data.columns,
      onOptionClicked: onShelfClicked,
      selectedOption: shelf
    });
  console.log(data.columns)
  
    svg.call(vertBarChart, {
    xValue: title,
    yValue: count,
    margin,
    width,
    height,
    data
  });
};

csv('https://vizhub.com/milka-pi/datasets/extra-truncated.csv')
  .then(loadedData => {
    data = loadedData;
    data.forEach(d => {
      d.title = d.title;
      d.author = d.author;
      d.rating = +d.rating;
      d.count = +d.count;
      d.year = +d.year;
      d.tag = d.tag;  
    });
    render();
  });
